@charset "utf-8";
/*
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
トラステック標準WEBサイト PHP + BootStrap
見附ニット組合　カスタム対応
	ver.2026.02.05.mitsukeknit.jp
	ページヘッダー　スタイルシート
────────────────────────────────────────
FileName:		/resources/css/common-side-menu.css
Editor:			TRUSTEC
Description:	ページヘッダー　スタイルシート。
────────────────────────────────────────
2025/02/05:		サンプル開発開始。
────────────────────────────────────────
背景色:					#fbfbfb	rgba(251,251,251,1)
本文文字色:				#0d0d0d	rgba(13,13,13,1)
ハイライトカラー:			#5e8c51 rgba(94,140,81,1)
サブカラー：				#529ad9 rgba(82,154,217,1)

フォント
	社名1:				noto-sans-cjk-jp, sans-serif
	社名2:				ta-kakugo-gf-02, sans-serif
	社名3:				logo-arl-std, sans-serif
	本文:				noto-sans-cjk-jp, sans-serif
	標準サイズ:			18px
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
*/





/* ::::: [CUSTOM PROPERTIES] ::::: */
:root {

	/* Sticky
	--------- --------- --------- ------- */
	--sticky-border: solid 1px rgba(0, 0, 0, 0.05);
	--sticky-transition: 0.3s;

	/* Header
	--------- --------- --------- ------- */
	--header-background-color: var(--common-background-color);
	--header-color: var(--common-color);
	--header-font-size: 17px;
	--header-font-family: var(--common-font-family-suns);
	--header-font-weight: var(--common-font-weight);
	--header-font-style: var(--common-font-style);
	--header-line-height: var(--common-line-height);
	--header-letter-spacing: var(--common-letter-spacing);

	/* Dialog
	--------- --------- --------- ------- */
	--modal-dialog-background-color: var(--header-background-color);
	--modal-dialog-color: var(--header-color);
}





/* Sticky Page Top
--------- --------- --------- ------- */
#sticky-page-top {
	border-bottom: var(--sticky-border);
	border-bottom-color: transparent;
	position: fixed;
	width: 100%;
	margin-right: 3rem;
	z-index: 1400;
}
@media (max-width: 767px) {
	#page-header {
        margin-right: 40px;
	}
}

#sticky-page-top .sticky-page-top-transition {
	transition: var(--sticky-transition);
}




/* ::::: [HEADER] ::::: */

/* Header Setting
--------- --------- --------- ------- */
header {
	font-size: var(--header-font-size);
	font-family: var(--header-font-family);
	font-weight: var(--header-font-weight);
	font-style: var(--header-font-style);
	line-height: var(--header-line-height);
	letter-spacing: var(--header-letter-spacing);
}
.navbar {
    padding-top: 1rem;
    padding-bottom: 1rem;
}
.navbar-container{
    justify-content: space-between !important;
    flex-direction: column !important;
    align-items: normal !important;
}
@media (max-width: 991px) {
	.navbar {
		padding-top: 0.5rem;
		padding-bottom: 0.5rem;
	}
}
/* Page Header
--------- --------- --------- ------- */
#page-header {
    background-color: #F2F0EA;
	position: relative;
	z-index: 1450;
}

#page-header .navbar.navbar-expand-md {
}

/* Page Header's Brand Logo
--------- --------- --------- ------- */
#page-header .navbar-brand {
    color: var(--header-color);
    font-size: max(1.2rem, 1.2vw);
    display: flex;
    padding-top: 0;
    padding-bottom: 0;
    padding-right: .5rem;
    padding-left: .5rem;
    margin-right: 0.2em;
    margin-left: max(0.5em, 1vw);
    width: fit-content;
    height: fit-content;
    align-items: center;
    justify-content: flex-start;
}
@media(max-width: 767px){
	#page-header .navbar-brand{
		font-size: max(1.5rem, 1.5vw);
		margin-left: 0;
	}
}
#page-header .navbar-brand .header-logo{
    height: 2.5rem;
    width: auto;
    margin-right: .8rem;
}
#page-header .navbar-brand .title2 {
	font-family: shippori-mincho, sans-serif;
	font-weight: 700;
	font-style: normal;
    letter-spacing: .08em;
}

#page-header .navbar-brand-wrapper{
    height: 100%;
    display: flex;
    align-items: center;
	margin-bottom: 0;
}
@media (max-width: 991px) {
	#page-header .navbar-brand-wrapper{
		margin-top: 0;
	}
}

#page-header .navbar-toggler-wrapper{
    margin-right: max(0.5em, 1vw);
	display: flex;
	justify-content: end;
}


#navbar-headerMenu a{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
	transition: .3s;
    flex: 10;
    padding-top: 0;
    padding-bottom: 0;
}
#navbar-headerMenu a:hover{
	transition: .3s;
}
#navbar-headerMenu a .menu-icon{
    height: 2.2em;
    width: auto;
    margin-bottom: .3em;
    filter: brightness(1);
	transition: .3s;
}
#navbar-headerMenu .now_page .menu-icon{
	filter: brightness(.5);
}
@media screen and (max-width: 1000px) {
	#navbar-headerMenu .menu-icon:active{
		filter: brightness(.5);
	}
}

 /*PCの時は:hover*/
@media screen and (min-width: 1001px) {
	#navbar-headerMenu a:hover .menu-icon {
		transition: .3s;
		filter: brightness(.5);
	}
}
#navbar-headerMenu .nav-link .short-name{

}
#navbar-headerMenu .nav-link .name{
	font-size: .65em;
}
#navbar-headerMenu .nav-link{
	font-weight: 400;
	font-size: max(1.1rem, 1vw);
	color: var(--header-color);
	line-height: 1.3em;
}
@media(max-width: 991px){
	#navbar-headerMenu .nav-link{
		font-size: max(.95rem, .9vw);
	}
}
#navbar-headerMenu .navbar-nav .now_page .nav-link{
	color: var(--common-accent-color);
}

.menu-list-2 {
	font-size: var(--common-font-size-smaller);
}

#page-header .navbar {
	padding: .5em 0;
}
@media (min-width: 768px) {
	#navbar-headerMenu{
        display: flex !important;
        flex-basis: auto;
        align-items: center;
        padding-right: 0 !important;
        height: 4.5em;
	}
	#page-header .navbar-nav {
        display: flex;
        flex-direction: row;
        padding-left: 0;
        padding-bottom: 0;
        margin-bottom: 0;
		margin-right: 3.5rem;
        list-style: none;
        align-items: center;
        height: 100%;
        column-gap: 1.3em;
    }
	.nav-item{
		display: flex;
		align-items: center;
        padding-bottom: 0;
		position: relative;
		margin: 0 0.5rem;
		height: 100%;
	}
	.navbar-expand-lg .navbar-nav .nav-link{
        padding-right: .4em;
        padding-left: .4em;
	}

}
@media (max-width: 767px) {
	#page-header .navbar-nav {
        margin-right: 40px;
	}
}

.navbar-nav .nav-item::after {
	background-color: var(--header-color);
	position: absolute;
	display: block;
	content: "";
	width: 1em;
	height: 1px;
	margin-top: .2em;
	bottom: 5px;
	right: 38%;
	left: 38%;
	opacity: 0;
	transition: all .3s;
}
 /*PCの時は:hover*/
@media screen and (min-width: 1001px) {
	.navbar-nav .nav-item:hover::after {
		background-color: var(--header-color);
		position: absolute;
		display: block;
		content: "";
		width: 1em;
		height: 1px;
		margin-top: .2em;
		bottom: 5px;
		right: 38%;
		left: 38%;
		opacity: 1;
		transition: all .3s;
	}
}
.navbar-nav .now_page::after{
	opacity: 1;
	background-color: var(--common-accent-color);
}

/* Page Header's Toggle Button
--------- --------- --------- ------- */
.toggle_btn {
  display: block;
  position: fixed;
  top: 1rem;
  right: 6vw;
  width: 40px;
  height: 35px;
  transition: all .5s;
  cursor: pointer;
  z-index: 3;
}
.toggle_btn span {
  display: block;
  position: absolute;
  left: 0;
  width: 40px;
  height: 2px;
  background-color: #333;
  border-radius: 4px;
  transition: all .5s;
}
.toggle_btn span:nth-child(1) {
  top: 4px;
}
.toggle_btn span:nth-child(2) {
  top: 15px;
}
.toggle_btn span:nth-child(3) {
  bottom: 4px;
}
.open .toggle_btn span {
  background-color: #fff;
}
.open .toggle_btn span:nth-child(1) {
  -webkit-transform: translateY(10px) rotate(-315deg);
  transform: translateY(10px) rotate(-315deg);
}
.open .toggle_btn span:nth-child(2) {
  opacity: 0;
}
.open .toggle_btn span:nth-child(3) {
  -webkit-transform: translateY(-10px) rotate(315deg);
  transform: translateY(-10px) rotate(315deg);
}

#page-header .navbar-toggler .navbar-toggler-icon{
    content: url(../images/common/bars-solid-full.svg);
    font-size: 1.8rem;
    width: 1em;
    height: 1em;
}
#page-header .navbar-toggler .navbar-toggler-icon::before {
}
#page-header .navbar-toggler[aria-expanded="true"] .navbar-toggler-icon::before {
}


#page-header .navbar-toggler:active,
#page-header .navbar-toggler:focus {
	box-shadow: none;
}




/* ::::: [NAVBAR-MODAL-MENU] ::::: */

/* Setting
--------- --------- --------- ------- */
#navbar-modal-menu {
	font-size: var(--header-font-size);
	padding-right: 45px;
}

/*
--------- --------- --------- ------- */
#navbar-modal-menu-dialog {
	--modal-header-background-color: var(--modal-dialog-background-color);
	--modal-header-color: var(--modal-dialog-color);
	--modal-footer-background-color: var(--modal-dialog-background-color);
	--modal-footer-button-background-color: var(--modal-dialog-color);
	--modal-footer-button-color: var(--modal-dialog-background-color);
}

/* Dialog Header
--------- --------- --------- ------- */
#navbar-modal-menu-dialog {
    background: #F2F0EA;
	height: 100%;
    margin: 0;
    margin-left: auto;
}

#navbar-modal-menu-dialog .modal-content .modal-header{
	background: #F2F0EA;
    margin-right: 7px;
    border: none;
    align-items: center;
    justify-content: flex-end;
    height: 30px;
    padding-top: 1.7em;
    padding-right: 7px;
}

/* アクティブ状態（Xアニメーション） */
#navbar-modal-menu-dialog .modal-content .modal-header .btn-close .hamburger-line:nth-child(1) {
  transform: rotate(45deg) translate(4px, 4px);
}

#navbar-modal-menu-dialog .modal-content .modal-header .btn-close .hamburger-line:nth-child(2) {
  opacity: 0;
}

#navbar-modal-menu-dialog .modal-content .modal-header .btn-close .hamburger-line:nth-child(3) {
  transform: rotate(-45deg) translate(6px, -6px);
}
.modal.fade .modal-dialog{transform: none !important;
	transition: transform 0.3s ease-out;
	transform: translateX(50px) !important;
	transform: translateY(-50px);
}
.modal.show .modal-dialog{
	transform: translateX(0) !important;
}
.moda-adress{
	font-size: .8rem;
    line-height: 1.5em;
}
.modal-backdrop{
    background-color: transparent;
	z-index: 100;
}

#hamburger-menu {
	margin: 0;
	padding-top: 0.5rem;
	padding-bottom: 0.5rem;
	opacity: 1;
    color: #ffffff;
    font-size: max(2rem, 2vw);
    background: none;
	width: 30px;
    height: 30px;
}
#hamburger-menu .xmark-solid-full{
    content: url(../images/common/xmark-solid-full.svg);
    font-size: 1.6rem;
    width: 1em;
    height: 1em;
	display: block;
}
#navbar-modal-menu #hamburger-menu:active {
}
#navbar-modal-menu #hamburger-menu:hover,
#navbar-modal-menu #hamburger-menu:focus {
	box-shadow: none;
    color: #ffffff;
	opacity: .5;
}

/* Dialog Body
--------- --------- --------- ------- */
#navbar-modal-menu-dialog .modal-body {
    background: #F2F0EA;
    padding: 1.5em .5em;
	display: flex;
    align-items: center;
    justify-content: flex-start;
}
/*	List Menu	*/
#navbar-modal-menu-dialog .modal-body .list-modal-menu,
.list-modal-menu {
	list-style: none;
	margin: 0;
	padding: 0;
	font-size: var(--common-font-size-smaller);
    line-height: var(--common-line-height);
	letter-spacing: 0.1em;
}

.list-modal-menu .list-item {
	margin: 0;
	padding: 0.25em 0;
}
.list-modal-menu .list-item {
	/*border-bottom: solid 1px #BEBEBE;*/
}

.list-modal-menu .list-item .nav-link {
    text-align: start;
    padding: 0 1em;
	color: #261A18;
	position: relative;
}
.list-modal-menu .list-item .nav-link .text {
    display: block;
    font-weight: 500;
	position: relative;
	font-size: .95em;
}


#navbar-modal-menu-dialog .modal-footer {
    background: #F2F0EA;
	justify-content: center;
}
.modal-dialog-scrollable .modal-content{
    background: #F2F0EA;
	border: none;
    height: 100%;
}
.modal-footer-list{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
	padding: 0 1.5em;
	padding-bottom: 1.5em;
}
.modal-footer-list .site-title-button .modal-brand{
	color: #261A18;
	font-size: 1.1rem;
	line-height: 2em;
	padding-bottom: .5em;
    font-family: shippori-mincho, sans-serif;
	font-weight: 600;
}




/* Side Menu
--------- --------- --------- ------- */
#side-menu {
    background-color: #F2F0EA;
    width: 45px;
    height: 100vh;
    position: absolute;
    top: 0;
    right: 0;
    display: flex;
    justify-content: center;
	z-index: 1500;
}
.list-side-menu .list-item {
	margin: 0;
	padding: 1.5em 0;
    width: min-content;
    min-height: 30px;
	border-bottom: solid 1px #261A18;
}
@media (max-width: 767px) {
	.list-side-menu .list-item {
		padding: 1em 0;
	}
}
.li-menu-button{
    padding-bottom: 1.5em;
}
.list-side-menu .list-item:first-child{
	padding-top: 1em;
}
.list-side-menu .list-item:last-child {
	border-bottom: none;
}
.list-side-menu .list-item .nav-link {
    text-align: start;
    padding: 0.5em 0;
    color: #261A18;
    position: relative;
    width: min-content;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
}
.list-side-menu .list-item .nav-link .text {
	font-family: var(--side-menu-font-family-sans);
	font-style: normal;
    display: block;
    font-weight: 500;
	position: relative;
    writing-mode: vertical-rl;
    text-orientation: mixed;
	font-size: max(.7rem, .8vw);
}
.list-side-menu .list-item .nav-link .icon {
    width: 1.2em;
    height: 1.2em;
    display: block;
    margin-bottom: .4em;
}
.list-side-menu .list-item .nav-link .icon img{
    width: 1.2em;
    height: 1.2em;
    display: block;
}







/*	ハンバーガーメニュー	*/
/* ハンバーガーメニューボタン */
.navbar-toggler:focus,
.navbar-toggler:active{
	box-shadow: none;
}
.li-menu-button{
    height: 40px;
}
#hamburger-menu {
  position: fixed;
  width: 30px;
  height: 30px;
  background: none;
  border: none;
  cursor: pointer;
  padding: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 5px;
  z-index: 1001;
}

.hamburger-line {
  width: 100%;
  height: 2px;
  background-color: #333;
  border-radius: 2px;
  transition: all 0.3s ease-in-out;
}


/* アクティブ状態（Xアニメーション） */
#hamburger-menu.active .hamburger-line:nth-child(1) {
  transform: rotate(45deg) translate(4px, 4px);
}

#hamburger-menu.active .hamburger-line:nth-child(2) {
  opacity: 0;
}

#hamburger-menu.active .hamburger-line:nth-child(3) {
  transform: rotate(-45deg) translate(6px, -6px);
}